// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by an AGPL-3.0-style license
// that can be found in the LICENSE file.

part of molview_messages.dataserver;

/// Match in a text search
class TextSearchMatch {
  /// Full title of this match.
  final String title;

  /// Value of the primary key associated to this match.
  final dynamic key;

  /// Constructor
  TextSearchMatch(this.title, this.key);

  /// Construct from JSON data.
  factory TextSearchMatch.fromJson(Map<String, dynamic> data) {
    return new TextSearchMatch(data['title'], data['key']);
  }

  /// Convert to JSON compatible data.
  Map<String, dynamic> toJson() {
    return {'title': title, 'key': key};
  }
}
